<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5381065">
<title>DMF Administrator's Guide for SGI® InfiniteStorage</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5439406">
<title>New Features</title>
</preface>
<preface href="pr02.html" id="id5179114">
<title>About This Guide</title>
<section href="pr02.html#id5179128" id="id5179128">
<title>Related Publications</title>
</section>
<section href="pr02.html#id5179252" id="id5179252">
<title>Obtaining Publications</title>
</section>
<section href="pr02.html#Z825545312melby" id="Z825545312melby">
<title>Conventions</title>
</section>
<section href="pr02.html#z825546061melby" id="z825546061melby">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="ZJOSh31bmich">
<title>Chapter 1. Introduction</title>
<section href="ch01.html#id5179739" id="id5179739">
<title>What Is DMF?</title>
<figure href="ch01.html#Z858022144ljgm" id="Z858022144ljgm">
<title>Figure 1-1. Application Data Flow</title>
</figure>
<section href="ch01.html#id5179899" id="id5179899">
<title>DMF Client and Server </title>
</section>
<section href="ch01.html#Z844113611ljgm" id="Z844113611ljgm">
<title>Hardware and Software Requirements</title>
</section>
<section href="ch01.html#Z1063823806lhj" id="Z1063823806lhj">
<title>DMAPI Requirement</title>
</section>
<section href="ch01.html#Z1063824613lhj" id="Z1063824613lhj">
<title>Licensing Requirement</title>
</section>
</section>
<section href="ch01.html#Z1063812487lhj" id="Z1063812487lhj">
<title>How DMF Works</title>
<figure href="ch01.html#Z1059774868lhj" id="Z1059774868lhj">
<title>Figure 1-2. MSP Types</title>
</figure>
<figure href="ch01.html#Z1018622488jlb" id="Z1018622488jlb">
<title>Figure 1-3. Library Server and Tape MSP Architecture</title>
</figure>
</section>
<section href="ch01.html#Z1063812501lhj" id="Z1063812501lhj">
<title>Ensuring Data Integrity</title>
</section>
<section href="ch01.html#Z1063812504lhj" id="Z1063812504lhj">
<title>DMF Architecture</title>
<figure href="ch01.html#Z858022214ljgm" id="Z858022214ljgm">
<title>Figure 1-4. DMF Architecture</title>
</figure>
</section>
<section href="ch01.html#Z1063812508lhj" id="Z1063812508lhj">
<title>Capacity and Overhead</title>
</section>
<section href="ch01.html#Z1063812523lhj" id="Z1063812523lhj">
<title>DMF Administration</title>
</section>
<section href="ch01.html#Z842620750ljgm" id="Z842620750ljgm">
<title>The User's View of DMF</title>
</section>
<section href="ch01.html#Z1063812540lhj" id="Z1063812540lhj">
<title>DMF File Concepts and Terms</title>
<section href="ch01.html#id5188852" id="id5188852">
<title>Migrating a File</title>
</section>
<section href="ch01.html#Z896455984ljgm" id="Z896455984ljgm">
<title>Recalling a Migrated File</title>
</section>
</section>
<section href="ch01.html#Z1063812549lhj" id="Z1063812549lhj">
<title>Command Overview</title>
<section href="ch01.html#id5189086" id="id5189086">
<title>Configuration Commands</title>
</section>
<section href="ch01.html#id5189243" id="id5189243">
<title>DMF Daemon and Related Commands</title>
</section>
<section href="ch01.html#id5189815" id="id5189815">
<title>Space Management Commands</title>
</section>
<section href="ch01.html#id5189979" id="id5189979">
<title>MSP/LS Commands</title>
</section>
<section href="ch01.html#Z1063904600lhj" id="Z1063904600lhj">
<title>Disk Cache Manager (DCM) Commands</title>
</section>
<section href="ch01.html#id5190400" id="id5190400">
<title>Commands for Other Utilities</title>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="UqiTh2bbmich">
<title>Chapter 2. Configuring DMF</title>
<section href="ch02.html#id5191090" id="id5191090">
<title>Overview of the Configuration Steps</title>
<procedure href="ch02.html#Z842617266ljgm" id="Z842617266ljgm">
<title>Procedure 2-1. Configuration Steps</title>
</procedure>
</section>
<section href="ch02.html#KKZh2f9mich" id="KKZh2f9mich">
<title>Configuration Considerations</title>
<section href="ch02.html#id5191465" id="id5191465">
<title>Configuration File Requirements</title>
</section>
<section href="ch02.html#Z1060196595lhj" id="Z1060196595lhj">
<title>Filesystem Mount Options</title>
</section>
<section href="ch02.html#Z1063824786lhj" id="Z1063824786lhj">
<title>Mounting Service</title>
</section>
<section href="ch02.html#Z1063824789lhj" id="Z1063824789lhj">
<title>Inode Size Configuration</title>
</section>
<section href="ch02.html#Z1063824795lhj" id="Z1063824795lhj">
<title>Configuring Daemon Database Record Length</title>
<procedure href="ch02.html#Z840809937ljgm" id="Z840809937ljgm">
<title>Procedure 2-2. Daemon Database Record Length Configuration
</title>
</procedure>
</section>
<section href="ch02.html#Z1063824798lhj" id="Z1063824798lhj">
<title>Interprocess Communication Parameters</title>
</section>
<section href="ch02.html#Z894649937ljgm" id="Z894649937ljgm">
<title>Automated Maintenance Tasks</title>
<table href="ch02.html#Z937257789ljgm" id="Z937257789ljgm">
<title>Table 2-1. Automated Maintenance Task Summary</title>
</table>
</section>
</section>
<section href="ch02.html#Z1063821562lhj" id="Z1063821562lhj">
<title>Using dmmaint To Install the License and Configure
DMF</title>
<section href="ch02.html#Z1063822079lhj" id="Z1063822079lhj">
<title>Overview of dmmaint</title>
</section>
<section href="ch02.html#id5194731" id="id5194731">
<title>Installing the License, Reading News, and Defining the Configuration
File</title>
<procedure href="ch02.html#Z871066467ljgm" id="Z871066467ljgm">
<title>Procedure 2-3. Running 
dmmaint</title>
</procedure>
</section>
</section>
<section href="ch02.html#Z1063821566lhj" id="Z1063821566lhj">
<title>Configuration Objects</title>
<section href="ch02.html#Z864245797ljgm" id="Z864245797ljgm">
<title>Configuring the Base Object</title>
<procedure href="ch02.html#Z864323303ljgm" id="Z864323303ljgm">
<title>Procedure 2-4. Base Object Configuration</title>
</procedure>
</section>
<section href="ch02.html#Z864245825ljgm" id="Z864245825ljgm">
<title>Configuring the DMF Daemon</title>
<procedure href="ch02.html#Z864323876ljgm" id="Z864323876ljgm">
<title>Procedure 2-5. Daemon Configuration</title>
</procedure>
<section href="ch02.html#Z894652405ljgm" id="Z894652405ljgm">
<title>Configuring Daemon Maintenance Tasks</title>
<procedure href="ch02.html#Z895698347ljgm" id="Z895698347ljgm">
<title>Procedure 2-6. Configuring the daemon_tasks
 Object</title>
</procedure>
<procedure href="ch02.html#id5198740" id="id5198740">
<title>Procedure 2-7. Configuring the dump_tasks Object
</title>
</procedure>
</section>
</section>
<section href="ch02.html#xALXh3bemich" id="xALXh3bemich">
<title>Configuring Filesystems</title>
<procedure href="ch02.html#Z864329698ljgm" id="Z864329698ljgm">
<title>Procedure 2-8. Configuring filesystem
 Objects</title>
</procedure>
</section>
<section href="ch02.html#Z864245866ljgm" id="Z864245866ljgm">
<title>DMF Policies</title>
<section href="ch02.html#id5200353" id="id5200353">
<title>Automated Space Management Parameters</title>
</section>
<section href="ch02.html#id5200863" id="id5200863">
<title>File Weighting and MSP or Volume Group Selection Parameters</title>
</section>
<section href="ch02.html#id5201659" id="id5201659">
<title>Configuring Policies</title>
<procedure href="ch02.html#Z865284027ljgm" id="Z865284027ljgm">
<title>Procedure 2-9. Configuring Objects for Automated
Space Management</title>
</procedure>
<procedure href="ch02.html#Z865283867ljgm" id="Z865283867ljgm">
<title>Procedure 2-10. Configuring Objects for MSP or volume
group Selection</title>
</procedure>
</section>
<section href="ch02.html#Z1063116907lhj" id="Z1063116907lhj">
<title>DCM Policies</title>
</section>
</section>
<section href="ch02.html#Z1018982243jlb" id="Z1018982243jlb">
<title>Setting Up Tape MSPs </title>
<section href="ch02.html#id5202812" id="id5202812">
<title>MSP Objects </title>
<procedure href="ch02.html#Z864324824ljgm" id="Z864324824ljgm">
<title>Procedure 2-11. Configuring Tape MSPs</title>
</procedure>
</section>
<section href="ch02.html#Z1018982385jlb" id="Z1018982385jlb">
<title>Device Objects</title>
<section href="ch02.html#id5204614" id="id5204614">
<title>Device Objects for OpenVault As Mounting Service </title>
</section>
<section href="ch02.html#id5204855" id="id5204855">
<title>Device Objects for TMF as Mounting Service </title>
<procedure href="ch02.html#id5205037" id="id5205037">
<title>Procedure 2-12. Configuring Devices for TMF</title>
</procedure>
</section>
</section>
</section>
<section href="ch02.html#id5205254" id="id5205254">
<title>Setting Up Library Servers</title>
<section href="ch02.html#id5205347" id="id5205347">
<title>Library Server Objects</title>
</section>
<section href="ch02.html#id5205781" id="id5205781">
<title>Drive Group Objects</title>
</section>
<section href="ch02.html#id5207096" id="id5207096">
<title>Volume Group Objects</title>
</section>
<section href="ch02.html#Z1018986517jlb" id="Z1018986517jlb">
<title>Resource Scheduler Objects</title>
</section>
<section href="ch02.html#Z1018986565jlb" id="Z1018986565jlb">
<title>Resource Watcher Objects</title>
</section>
<section href="ch02.html#id5208324" id="id5208324">
<title>Example</title>
<procedure href="ch02.html#Z1018993432jlb" id="Z1018993432jlb">
<title>Procedure 2-13. Configuring a Library Server and
Its Components</title>
</procedure>
</section>
</section>
<section href="ch02.html#Z1018982905jlb" id="Z1018982905jlb">
<title>Using OpenVault for Tape MSPs and LS Drive Groups</title>
<procedure href="ch02.html#Z894639648ljgm" id="Z894639648ljgm">
<title>Procedure 2-14. Configuring DMF to Use OpenVault
</title>
</procedure>
</section>
<section href="ch02.html#id5209929" id="id5209929">
<title>Using TMF tapes with Tape MSPs and LS Drive Groups</title>
</section>
<section href="ch02.html#Z1018983281jlb" id="Z1018983281jlb">
<title>Configuring Maintenance Tasks for Tape MSP and LS</title>
<procedure href="ch02.html#id5210389" id="id5210389">
<title>Procedure 2-15. Configuring the msp_tasks Object
</title>
</procedure>
</section>
<section href="ch02.html#id5211209" id="id5211209">
<title>Library Server and MSP Database Records </title>
<procedure href="ch02.html#Z864325257ljgm" id="Z864325257ljgm">
<title>Procedure 2-16. Creating MSP/LS Database Records
</title>
</procedure>
<procedure href="ch02.html#id5211511" id="id5211511">
<title>Procedure 2-17. Creating LS Database Records</title>
</procedure>
</section>
<section href="ch02.html#nedmlhj" id="nedmlhj">
<title>Setting up FTP MSPs</title>
<table href="ch02.html#Z1064247867lhj" id="Z1064247867lhj">
<title>Table 2-2. NAME_FORMAT Strings</title>
</table>
<procedure href="ch02.html#id5213574" id="id5213574">
<title>Procedure 2-18. Configuring the ftp Object</title>
</procedure>
</section>
<section href="ch02.html#Z875214793ljgm" id="Z875214793ljgm">
<title>Setting up Disk MSPs</title>
<procedure href="ch02.html#Z864328700ljgm" id="Z864328700ljgm">
<title>Procedure 2-19. Configuring the dsk
Object</title>
</procedure>
</section>
<section href="ch02.html#Z1063904710lhj" id="Z1063904710lhj">
<title>Setting Up Disk MSPs in DCM Mode</title>
</section>
</section>
<section href="ch02.html#dBXllhj" id="dBXllhj">
<title>Verifying the Configuration</title>
</section>
<section href="ch02.html#d4Xllhj" id="d4Xllhj">
<title>Initializing DMF</title>
</section>
<section href="ch02.html#Z913682958ljgm" id="Z913682958ljgm">
<title>General Message Log File Format</title>
<table href="ch02.html#Z876494152ljgm" id="Z876494152ljgm">
<title>Table 2-3. DMF Log File Message Types</title>
</table>
</section>
<section href="ch02.html#Z1063821595lhj" id="Z1063821595lhj">
<title>Parameter Table</title>
<table href="ch02.html#Z1020113138jlb" id="Z1020113138jlb">
<title>Table 2-4. Parameters for the DMF Configuration File</title>
</table>
</section>
</chapter>
<chapter href="ch03.html" id="vfPSh194mich">
<title>Chapter 3. Automated Space Management</title>
<section href="ch03.html#Z854400238ljgm" id="Z854400238ljgm">
<title>Generating the Candidate List</title>
</section>
<section href="ch03.html#Z1064251294lhj" id="Z1064251294lhj">
<title>Selection of Migration Candidates</title>
<figure href="ch03.html#Z865359607ljgm" id="Z865359607ljgm">
<title>Figure 3-1. Relationship of Automated Space Management
Targets</title>
</figure>
</section>
<section href="ch03.html#Z1063904868lhj" id="Z1063904868lhj">
<title>Space Management and the Disk Cache Manager</title>
</section>
<section href="ch03.html#Z866222819ljgm" id="Z866222819ljgm">
<title>Automated Space Management Log File</title>
</section>
</chapter>
<chapter href="ch04.html" id="qqhSh11fmich">
<title>Chapter 4. The DMF Daemon</title>
<section href="ch04.html#id5238385" id="id5238385">
<title>Daemon Processing</title>
</section>
<section href="ch04.html#AnKXh312mich" id="AnKXh312mich">
<title>DMF Daemon Database and dmdadm</title>
<section href="ch04.html#id5238917" id="id5238917">
<title>dmdadm Directives</title>
</section>
<section href="ch04.html#id5239800" id="id5239800">
<title>dmdadm Field and Format Keywords</title>
</section>
<section href="ch04.html#id5241153" id="id5241153">
<title>dmdadm Text Field Order</title>
</section>
</section>
<section href="ch04.html#Z840733702ljgm" id="Z840733702ljgm">
<title>Daemon Logs and Journals</title>
</section>
</chapter>
<chapter href="ch05.html" id="Z842616826ljgm">
<title>Chapter 5. The DMF Lock Manager</title>
<section href="ch05.html#Z866222745ljgm" id="Z866222745ljgm">
<title>dmlockmgr Communication and Log Files</title>
<table href="ch05.html#Z843671167ljgm" id="Z843671167ljgm">
<title>Table 5-1. dmlockmgr Token Files
</title>
</table>
</section>
<section href="ch05.html#id5243557" id="id5243557">
<title>dmlockmgr Individual Transaction Log Files</title>
</section>
</chapter>
<chapter href="ch06.html" id="dPjSh293mich">
<title>Chapter 6. Media-Specific Processes and Library Servers</title>
<section href="ch06.html#id5244089" id="id5244089">
<title>Tape MSP and LS Operations</title>
<section href="ch06.html#id5244529" id="id5244529">
<title>Tape MSP/LS Directories</title>
</section>
<section href="ch06.html#Z867338192ljgm" id="Z867338192ljgm">
<title>Media Concepts</title>
<figure href="ch06.html#sMjYkn445" id="sMjYkn445">
<title>Figure 6-1. Media Concepts</title>
</figure>
</section>
<section href="ch06.html#GCjYkn445" id="GCjYkn445">
<title>CAT Database Records</title>
</section>
<section href="ch06.html#aCjYkn445" id="aCjYkn445">
<title>VOL Database Records</title>
</section>
<section href="ch06.html#id5245711" id="id5245711">
<title>Tape MSP/LS Journals</title>
</section>
<section href="ch06.html#L2GYhaamich" id="L2GYhaamich">
<title>Tape MSP/LS Logs</title>
<example href="ch06.html#Z866215615ljgm" id="Z866215615ljgm">
<title>Example 6-1. Tape MSP Statistics Messages</title>
</example>
<example href="ch06.html#Z1014148183jlb" id="Z1014148183jlb">
<title>Example 6-2. LS Statistics Messages</title>
</example>
</section>
<section href="ch06.html#nXLXh100mich" id="nXLXh100mich">
<title>Volume Merging</title>
</section>
<section href="ch06.html#ETPYkn441" id="ETPYkn441">
<title>dmcatadm Command</title>
<section href="ch06.html#id5247347" id="id5247347">
<title>dmcatadm Directives</title>
</section>
<section href="ch06.html#id5248448" id="id5248448">
<title>dmcatadm Keywords</title>
<example href="ch06.html#Z870963565ljgm" id="Z870963565ljgm">
<title>Example 6-3. dmcatadm 
list directive</title>
</example>
</section>
<section href="ch06.html#id5250290" id="id5250290">
<title>dmcatadm Text Field Order</title>
</section>
</section>
<section href="ch06.html#uqyHkdjb" id="uqyHkdjb">
<title>dmvoladm Command</title>
<section href="ch06.html#id5250778" id="id5250778">
<title>dmvoladm Directives</title>
</section>
<section href="ch06.html#id5252202" id="id5252202">
<title>dmvoladm Keywords</title>
<example href="ch06.html#Z854219328ljgm" id="Z854219328ljgm">
<title>Example 6-4. dmvoladm 
list directives</title>
</example>
</section>
<section href="ch06.html#id5254771" id="id5254771">
<title>dmvoladm Text Field Order</title>
</section>
</section>
<section href="ch06.html#id5255524" id="id5255524">
<title>dmatread Command</title>
<example href="ch06.html#Z844264111ljgm" id="Z844264111ljgm">
<title>Example 6-5. Restoring Hard-deleted Files Using 
dmatread</title>
</example>
</section>
<section href="ch06.html#id5255707" id="id5255707">
<title>dmatsnf Command</title>
</section>
<section href="ch06.html#id5255815" id="id5255815">
<title>dmaudit verifymsp Command</title>
</section>
</section>
<section href="ch06.html#Z840728228ljgm" id="Z840728228ljgm">
<title>FTP MSP</title>
<section href="ch06.html#id5256004" id="id5256004">
<title>Processing of Requests</title>
</section>
<section href="ch06.html#Z871504656ljgm" id="Z871504656ljgm">
<title>Activity Log</title>
</section>
<section href="ch06.html#id5256359" id="id5256359">
<title>Messages</title>
</section>
</section>
<section href="ch06.html#Z876158625ljgm" id="Z876158625ljgm">
<title>Disk MSP</title>
<section href="ch06.html#id5256703" id="id5256703">
<title>Processing of Requests</title>
</section>
<section href="ch06.html#id5256922" id="id5256922">
<title>Activity Log</title>
</section>
</section>
<section href="ch06.html#Z1063904816lhj" id="Z1063904816lhj">
<title>Disk MSP and Disk Cache Manager (DCM)</title>
</section>
<section href="ch06.html#Z1064253025lhj" id="Z1064253025lhj">
<title>Moving Migrated Data between MSPs and Volume Groups</title>
</section>
<section href="ch06.html#Z1064253030lhj" id="Z1064253030lhj">
<title>Converting from an IRIX DMF to a Linux DMF</title>
<procedure href="ch06.html#Z1039470160jlb" id="Z1039470160jlb">
<title>Procedure 6-1. IRIX to Linux Conversion</title>
</procedure>
<example href="ch06.html#Z1036715668jlb" id="Z1036715668jlb">
<title>Example 6-6. IRIX to Linux Conversion (Single
Tape LS)</title>
</example>
<example href="ch06.html#Z1036776672jlb" id="Z1036776672jlb">
<title>Example 6-7. IRIX to Linux Conversion (Two
Tape MSPs)</title>
</example>
</section>
<section href="ch06.html#Z1064253039lhj" id="Z1064253039lhj">
<title>Converting from a Tape MSP to a Library Server</title>
<procedure href="ch06.html#Z1020353592jlb" id="Z1020353592jlb">
<title>Procedure 6-2. Tape MSP/LS Conversion</title>
</procedure>
</section>
<section href="ch06.html#Z1064253043lhj" id="Z1064253043lhj">
<title>Library Server Error Analysis and Avoidance</title>
</section>
<section href="ch06.html#Z1064253051lhj" id="Z1064253051lhj">
<title>Library Server Drive Scheduling</title>
</section>
<section href="ch06.html#Z1064253060lhj" id="Z1064253060lhj">
<title>Library Server Status Monitoring</title>
</section>
</chapter>
<chapter href="ch07.html" id="rowYh260mich">
<title>Chapter 7. DMF Maintenance and Recovery</title>
<section href="ch07.html#id5259568" id="id5259568">
<title>Retaining Old DMF Daemon Log Files</title>
</section>
<section href="ch07.html#id5259684" id="id5259684">
<title>Retaining Old DMF Daemon Journal Files</title>
</section>
<section href="ch07.html#sKXh296mich" id="sKXh296mich">
<title>Soft- and Hard-deletes</title>
</section>
<section href="ch07.html#BDIllhj" id="BDIllhj">
<title>Using xfsdump and  xfsrestore
with Migrated Files</title>
<section href="ch07.html#id5260427" id="id5260427">
<title>Dumping and Restoring Files without the dump_tasks
Object</title>
</section>
<section href="ch07.html#id5260589" id="id5260589">
<title>Filesystem Consistency with xfsrestore</title>
</section>
</section>
<section href="ch07.html#Z1064341188lhj" id="Z1064341188lhj">
<title>Using dmfill</title>
</section>
<section href="ch07.html#zeyHkdjb" id="zeyHkdjb">
<title>Database Recovery</title>
<section href="ch07.html#id5260943" id="id5260943">
<title>Database Backups</title>
</section>
<section href="ch07.html#Z841185908ljgm" id="Z841185908ljgm">
<title>Database Recovery Procedures</title>
<procedure href="ch07.html#Z840806025ljgm" id="Z840806025ljgm">
<title>Procedure 7-1. Recovering the Databases</title>
</procedure>
<example href="ch07.html#Z840806374ljgm" id="Z840806374ljgm">
<title>Example 7-1. Database Recovery Example</title>
</example>
</section>
</section>
</chapter>
<appendix href="apa.html" id="id5262018">
<title>Appendix A. Messages</title>
<section href="apa.html#id5262046" id="id5262046">
<title>Message Format</title>
<section href="apa.html#id5262064" id="id5262064">
<title>Message Format for Catalog (CAT) Database and Daemon Database Comparisons
</title>
</section>
<section href="apa.html#id5262274" id="id5262274">
<title>Message Format for Volume (VOL) Database and Catalog (CAT) Database
and Daemon Database Comparisons</title>
</section>
</section>
<section href="apa.html#id5262506" id="id5262506">
<title>dmcatadm Message Interpretation</title>
</section>
<section href="apa.html#id5263233" id="id5263233">
<title>dmvoladm Message Interpretation</title>
</section>
</appendix>
<appendix href="apb.html" id="id5264051">
<title>Appendix B. DMF User Library (libdmfusr.so)</title>
<section href="apb.html#id5264096" id="id5264096">
<title>Overview</title>
</section>
<section href="apb.html#id5264473" id="id5264473">
<title>Data Types</title>
<section href="apb.html#id5264515" id="id5264515">
<title>DmuAllErrors_t</title>
</section>
<section href="apb.html#id5264570" id="id5264570">
<title>DmuByteRange_t</title>
</section>
<section href="apb.html#id5264622" id="id5264622">
<title>DmuByteRanges_t</title>
</section>
<section href="apb.html#Z1020206894jlb" id="Z1020206894jlb">
<title>DmuCompletion_t</title>
</section>
<section href="apb.html#Z1020278952jlb" id="Z1020278952jlb">
<title>DmuCopyRange_t</title>
</section>
<section href="apb.html#Z1020278805jlb" id="Z1020278805jlb">
<title>DmuCopyRanges_t</title>
</section>
<section href="apb.html#Z1020276664jlb" id="Z1020276664jlb">
<title>DmuErrHandler_f</title>
</section>
<section href="apb.html#id5265152" id="id5265152">
<title>DmuError_t</title>
</section>
<section href="apb.html#Z1020207068jlb" id="Z1020207068jlb">
<title>DmuErrorInfo_t</title>
</section>
<section href="apb.html#id5265195" id="id5265195">
<title>DmuFhandle_t</title>
</section>
<section href="apb.html#id5265214" id="id5265214">
<title>DmuFullstat_t</title>
</section>
<section href="apb.html#Z1020290586jlb" id="Z1020290586jlb">
<title>DmuReplyOrder_t</title>
</section>
<section href="apb.html#Z1020289410jlb" id="Z1020289410jlb">
<title>DmuReplyType_t</title>
</section>
<section href="apb.html#id5265411" id="id5265411">
<title>DmuReqid_t</title>
</section>
<section href="apb.html#id5265426" id="id5265426">
<title>DmuRounding_t</title>
</section>
</section>
<section href="apb.html#id5265519" id="id5265519">
<title>User-Accessible API Subroutines</title>
<section href="apb.html#id5265566" id="id5265566">
<title>Context Manipulation Routines</title>
<section href="apb.html#id5265577" id="id5265577">
<title>DmuCreateContext Subroutine</title>
</section>
<section href="apb.html#id5265782" id="id5265782">
<title>DmuDestroyContext Subroutine</title>
</section>
</section>
<section href="apb.html#id5265879" id="id5265879">
<title>DMF File Request Subroutines</title>
<section href="apb.html#id5265896" id="id5265896">
<title>Copy File Requests</title>
</section>
<section href="apb.html#Z1020273675jlb" id="Z1020273675jlb">
<title>Fullstat Requests</title>
</section>
<section href="apb.html#id5266579" id="id5266579">
<title>Put File Requests</title>
</section>
<section href="apb.html#id5266906" id="id5266906">
<title>Get File Requests</title>
</section>
</section>
<section href="apb.html#Z1020273461jlb" id="Z1020273461jlb">
<title>Request Completion Subroutines</title>
<section href="apb.html#id5267264" id="id5267264">
<title>DmuAwaitReplies Subroutine</title>
</section>
<section href="apb.html#id5267441" id="id5267441">
<title>DmuGetNextReply Subroutine</title>
</section>
<section href="apb.html#id5267781" id="id5267781">
<title>DmuGetThisReply Subroutine</title>
</section>
<section href="apb.html#id5267974" id="id5267974">
<title>DmuFullstatCompletion Subroutine</title>
</section>
</section>
<section href="apb.html#Z1020272455jlb" id="Z1020272455jlb">
<title>Memory Management Subroutines</title>
</section>
</section>
</appendix>
<appendix href="apc.html" id="id5268288">
<title>Appendix C. DMF Directory Structure Prior to Release 2.8</title>
</appendix>
<appendix href="apd.html" id="id5268389">
<title>Appendix D. Differences from UNICOS DMF and UNICOS/mk DMF</title>
<table href="apd.html#Z1013546824jlb" id="Z1013546824jlb">
<title>Table D-1. Differences From UNICOS and UNICOS/mk</title>
</table>
</appendix>
<glossary href="go01.html" id="id5269190">
<title>Glossary</title>
</glossary>
<index href="ix01.html" id="sgi-index">
<title>Index</title>
</index>
</book>
</toc>
